// =====================================================================
//  $Id: TAnalysisCommand.hh,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __TANALYSISCOMMAND_HH
#define __TANALYSISCOMMAND_HH

#include "Tglobals.h"

class TAnalysisManager;

class TAnalysisCommand
{

  protected:
    TAnalysisManager* theAnalysisManager;

  public:
    TAnalysisCommand( TAnalysisManager* manager );

  protected:
    virtual ~TAnalysisCommand();

  public:
    TAnalysisManager* GetAnalysisManager() const;
    Tvoid SetAnalysisManager( TAnalysisManager* manager );

};

inline TAnalysisManager* TAnalysisCommand::GetAnalysisManager() const
{
  return( theAnalysisManager );
}

inline Tvoid TAnalysisCommand::SetAnalysisManager( TAnalysisManager* manager )
{
  theAnalysisManager = manager;
  return;
}

#endif
